Bug 256572 - net/onedrive: update to 2.4.12
Summary: net/onedrive: update to 2.4.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://github.com/abraunegg/onedrive...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-13 07:12 UTC by Hiroo Ono
Modified: 2021-06-15 22:01 UTC (History)
1 user (show)

See Also:
hiroo.ono+freebsd: maintainer-feedback+


Attachments
patch for onedrive 2.4.12 (864 bytes, patch)
2021-06-13 07:12 UTC, Hiroo Ono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2021-06-13 07:12:25 UTC
Created attachment 225764 [details]
patch for onedrive 2.4.12

This is a maintainer update of net/onedrive.
Comment 1 Guangyuan Yang freebsd_committer 2021-06-14 02:09:13 UTC
i386 build failed, is this expected?

=======================<phase: build-depends  >============================
===>   onedrive-2.4.12 depends on executable: ldc2 - not found
===>   onedrive-2.4.12 depends on package: /packages/All/ldc-1.23.0.txz - not found
===>   USE_PACKAGE_DEPENDS_ONLY set - not building missing dependency from source
*** Error code 1

Stop.
make: stopped in /usr/ports/net/onedrive
Comment 2 Hiroo Ono 2021-06-14 14:23:34 UTC
(In reply to Guangyuan Yang from comment #1)
It is expected. The D lang compiler ldc only supports amd64.
Comment 3 commit-hook freebsd_committer 2021-06-15 22:00:53 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8245d92d1a24e9a73a7599b8e3cbc6b31acb09ba

commit 8245d92d1a24e9a73a7599b8e3cbc6b31acb09ba
Author:     Hiroo Ono <hiroo.ono+freebsd@gmail.com>
AuthorDate: 2021-06-15 22:00:25 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-15 22:00:25 +0000

    net/onedrive: Update to 2.4.12

    Changes:        https://github.com/abraunegg/onedrive/blob/v2.4.12/CHANGELOG.md

    PR:             256572
    Approved by:    lwhsu (mentor, implicit)

 net/onedrive/Makefile | 2 +-
 net/onedrive/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 4 Guangyuan Yang freebsd_committer 2021-06-15 22:01:08 UTC
Committed, thanks!